Decline a local center request
curl --request PATCH \
--url https://app.orgo.space/api/v1/local_center_requests/{id}/decline \
--header 'Api-Token: <api-key>' \
--header 'Content-Type: application/merge-patch+json' \
--data '
{
"user": "/api/v1/users/1",
"newLocalCenter": "/api/v1/local_centers/1",
"reason": "Looking to contribute to local civic projects.",
"declineReason": "Looking to contribute to local civic projects."
}
'import requests
url = "https://app.orgo.space/api/v1/local_center_requests/{id}/decline"
payload = {
"user": "/api/v1/users/1",
"newLocalCenter": "/api/v1/local_centers/1",
"reason": "Looking to contribute to local civic projects.",
"declineReason": "Looking to contribute to local civic projects."
}
headers = {
"Api-Token": "<api-key>",
"Content-Type": "application/merge-patch+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Api-Token': '<api-key>', 'Content-Type': 'application/merge-patch+json'},
body: JSON.stringify({
user: '/api/v1/users/1',
newLocalCenter: '/api/v1/local_centers/1',
reason: 'Looking to contribute to local civic projects.',
declineReason: 'Looking to contribute to local civic projects.'
})
};
fetch('https://app.orgo.space/api/v1/local_center_requests/{id}/decline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 42,
"user": {
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"fullName": "James Patterson",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png"
},
"requestedBy": {
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"fullName": "James Patterson",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png"
},
"currentLocalCenter": {
"town": {
"id": 42,
"name": "Boston Chapter"
},
"id": 42,
"name": "Boston Chapter",
"parent": {
"name": "Boston Chapter"
}
},
"newLocalCenter": {
"town": {
"id": 42,
"name": "Boston Chapter"
},
"id": 42,
"name": "Boston Chapter",
"parent": {
"name": "Boston Chapter"
}
},
"approvedBy": {
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"fullName": "James Patterson",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png"
},
"dateRequest": "2026-01-15T10:30:00+00:00",
"dateApproved": "2026-01-15T10:30:00+00:00",
"declinedBy": {
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"fullName": "James Patterson",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png"
},
"dateDeclined": "2026-01-15T10:30:00+00:00",
"reason": "Looking to contribute to local civic projects.",
"declineReason": "Looking to contribute to local civic projects.",
"status": "ACTIVE"
}LocalCenterRequest
Decline a local center request
Declines a pending transfer request. Sets status to DECLINED and the user remains at their current local center. Sends a notification email to the user informing them of the decision.
PATCH
/
api
/
v1
/
local_center_requests
/
{id}
/
decline
Decline a local center request
Authorizations
ApiTokenJWT
Server-to-server authentication. Generate a token in the admin UI at
Settings → Developers → API Access. Send the raw token in the
Api-Token header — there is no Bearer prefix.
Tokens can be marked read-only at creation time, in which case the API
rejects any non-GET request with 403 Forbidden.
Path Parameters
LocalCenterRequest identifier
Body
application/merge-patch+json
The updated LocalCenterRequest resource
Response
LocalCenterRequest resource updated
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

